Fork me on GitHub
#lsp
<
2023-06-12
>
lassemaatta06:06:53

anyone else having errors with lenses with the latest lsp-mode + emacs?

lassemaatta06:06:04

(perhaps this is a bit more readable)

andrea.crotti08:06:01

yes I'm seeing the same error

ericdallo10:06:31

Could you tag @U5B6G208G in the PR he added that plz? Or mention in the emacs-lsp discord?

lassemaatta11:06:33

I added a note about this to the original PR

👍 2
lassemaatta15:06:18

unfortunately I've been a bit busy with a lot of stuff so I haven't yet had the chance to test that approach

👍 2
andrea.crotti18:06:41

I think I've done all the steps and was just getting a different error after

grzm20:06:15

I got bit by this, too. In the interim, I've checked out the previous revision and am using that (using straight)

cd straight/repos/ls-mode
git checkout 18c94fa^
(in emacs)
straight-rebuild-package
lsp-mode

grzm20:06:38

Seems to be working so far.

ericdallo21:06:03

could you answer the lsp-mode issue? it may help prioritize find the root cause

grzm21:06:13

> could you answer the lsp-mode issue? Answer? or add a comment that the change broke my emacs? I don't have enough elisp-fu to really debug this or provide guidance

ericdallo21:06:45

yes, just mention what you did

ericdallo21:06:07

thanks

👍 2
grzm21:06:47

wants emacs packages to be developed with the same committment to backward compatibility as clojure libs … and a pony

😂 2
ericdallo22:06:34

I merged the revert, should be fine now

🙇 2
grzm22:06:42

You’ve got the power! :he-man:

⚔️ 2
andrea.crotti08:06:16

nice now it works again also for me